#
# spec file for package riff
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           riff
Version:        2.27.0~0
Release:        1.1
Summary:        A diff filter highlighting which line parts have changed
License:        MIT
URL:            https://github.com/walles/riff
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging
Requires:       diff
ExclusiveArch:  %{rust_tier1_arches}

%description
Riff is a wrapper around diff that highlights which parts of lines have changed.

%prep
%autosetup -a1
install -D -m 644 %{SOURCE2} .cargo/config

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/%{name}

%changelog
* Sun Sep 24 2023 Michael Vetter <mvetter@suse.com>
- Update to 2.27.0:
  * Fix crash when you remove a line starting with "--" and passed
    the diff to riff, riff would crash #51
    As a side effect, riff will now be pickier with its input. If
    you modify your diffs manually, beware.
* Sun Sep 17 2023 Michael Vetter <mvetter@suse.com>
- Update to 2.26.0:
  * Add -f flag for specifying a diff file to highlight
  * With this release there are two ways of highlighting a particular
    diff file:
    + riff < file.diff
    + riff --file=file.diff
  * Command line parsing has been updated to use Clap, which will
    make help output look somewhat different. Should also fix some
    options parsing corner cases.
* Mon Sep 11 2023 Michael Vetter <mvetter@suse.com>
- Initial package of riff 2.25.2 for openSUSE
